Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::HyperlinkSignals Class Reference

Abstract base class that implements the virtual signal handlers for Atk::Hyperlink. More...

`#include <xfc/atk/hyperlinksignals.hh>`

Inheritance diagram for Xfc::Atk::HyperlinkSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_link_activated ()
    Called when the hyperlink object is activated.

## Protected Member Functions

Constructors

- HyperlinkSignals (Hyperlink *hyperlink)
    Construct a new HyperlinkSignals object.
- virtual ~HyperlinkSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Atk::Hyperlink.

## Constructor & Destructor Documentation

Xfc::Atk::HyperlinkSignals::HyperlinkSignals | ( | Hyperlink * | hyperlink | ) | `[protected]`

Construct a new HyperlinkSignals object.

Parameters:

  | hyperlink | A Hyperlink inheriting the HyperlinkSignals implementation.

The documentation for this class was generated from the following file:

- hyperlinksignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3